#version 460

layout(triangles) in;
layout(triangle_strip, max_vertices = 3) out;

uniform int Mylayer;
in vec2 TexCoords1[];
out vec2 TexCoords;

void main() {
        for (int i = 0; i < 3; ++i) {
            gl_Position = gl_in[i].gl_Position;
            gl_Layer = Mylayer; // Set the layer for the current primitive
			TexCoords = TexCoords1[i];
            EmitVertex();
        }
		
        EndPrimitive();
}
