#version 460

//#pragma include "common.glsl"

uniform mat4 p3d_ModelViewMatrix;
uniform mat4 p3d_ProjectionMatrix;

uniform sampler2DArray texture_array;

const float scale = 0.3;

in vec4 p3d_Vertex;
in vec2 p3d_MultiTexCoord0;

out vec2 TexCoords1;
out vec2 TexCoords;

void main() {


  vec4 pos = p3d_ModelViewMatrix * p3d_Vertex;
  TexCoords1 = p3d_MultiTexCoord0;
  TexCoords = TexCoords1;
  gl_Position = p3d_ProjectionMatrix * pos;
}
